# Uses of Interface
com.sun.source.doctree.ProvidesTree

Packages that use ProvidesTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ProvidesTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type ProvidesTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitProvides(ProvidesTree node, P p)`
Visits a ProvidesTree node.

## Uses of ProvidesTree in com.sun.source.util

Methods in com.sun.source.util that return ProvidesTree
Modifier and Type
Method
Description
`ProvidesTree`
DocTreeFactory.`newProvidesTree(ReferenceTree name, List<? extends DocTree> description)`
Creates a new `ProvidesTree` object, to represent a `@provides` tag.
Methods in com.sun.source.util with parameters of type ProvidesTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitProvides(ProvidesTree node, P p)`
Visits a ProvidesTree node.
`R`
SimpleDocTreeVisitor.`visitProvides(ProvidesTree node, P p)`
Visits a ProvidesTree node.